<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * 竞投起拍房豆功能
 *
 * @package         zsb
 * @subpackage      Models
 * @category        Models
 * 
 */
class growth_bid_start_model extends MY_Model{
    
   public function __construct() 
   {
        parent::__construct(1,1,3);
   }

   /**
	 * 获取竞投起投房豆数量
	 *
	 */
	public function getGrowthStartHouseBeans($type = '')
	{
		$result = array();

		if(empty($type))
		{
			return $result;
		}
		
		$key = GB_CITY.$type;
        //$this->mc->delete($key);
        $cache = $this->mc->get($key);

        if($cache['isok'] == 1)
        {
            $result = $cache['data'];
        }
        else
        {
			$this->dbback->select('houseBeansOne,houseBeansTwo');
			$this->dbback->where("way_alias = '".$type."'");
			$result = $this->dbback->get('growth_bid_start')->row_array();

			$this->mc->set($key, array('isok'=>1, 'data'=>$result), 86400);
		}

		return $result;
	}

}




